# doinplace

~~~
doinplace: filtrer en place un fichier à travers une suite de commandes

USAGE
    doinplace FILE COMMAND [ARGS...]

Si on utilise une commande avec des options, penser à utliser '--' pour séparer
les options de ce script des options de la commande

En plus des commandes systèmes, il est possible d'utiliser toute fonction de
nutools qui effectue des traitement sur un flux comme stripnl, filter_empty,
merge_contlines, filter_comment, filter_conf, etc. Les fonctions nl2lf, nl2crlf,
nl2cr, latin1compat et noaccents sont aussi disponibles par convenance.

OPTIONS
    -p, --evalp
        Evaluer la commande avec evalp(), ce qui permet de chainer plusieurs
        commandes en les séparant par //. Cette option est automatiquement
        activée si ce script est lancé avec le nom doinplacex
    -g, --ignore-error, --replace-always
        Normalement, le fichier n'est pas remplacé si la commande retourne une
        erreur. Avec cette option, le fichier est remplacé quel que soit le code
        de retour de la commande. A utiliser par exemple avec des commandes
        comme grep qui peuvent retourner FAUX s'ils ne trouvent pas le motif.
        Cette option est automatiquement activée si ce script est lancé avec le
        nom doinplacef
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary